<?php header("Access-Control-Allow-Origin: *");
  header("Access-Control-Allow-Headers: *");  

  header('Content-Type: application/json');

  $json = file_get_contents('php://input');
  $obj = json_decode($json, true);

  include '../db/connectMe.php';   
  include '../function/function.php';  

  // (C) GENERATE JWT TOKEN
  require "../vendor/autoload.php";
  use Firebase\JWT\JWT;

  // (A) NO data
  if (!isset($_GET["u"]) ) {

    $error = array('userDetails' => 'something went wrong');
    exit( json_encode($error) ); 

  }

  if( AuthorizeMe(@substr(getallheaders()["Authorization"], 7)) ){

    $jwt = substr(getallheaders()["Authorization"], 7);

    //Decoding data
    $decodeToken = (json_decode(base64_decode(str_replace('_', '/', str_replace('-','+',explode('.', $jwt)[1]))))->data);

    if(!isset($decodeToken)){

      exit(json_encode(array("error" => "unauthorised") ));

    }
    //view user information

    if (@$_GET['u'] != "" ) {

      @$userId = mysql_prep($_GET['u']);

      $userInfo = find_user_by_id($userId); 

      if(!isset($userInfo)){

        $error = array('userDetails' => 'something went wrong');

        exit(json_encode($error));

      }



      //user details
      $user = array("userDetails" => $userInfo);

      exit(json_encode($user));



    }  


  }else{

    exit(json_encode(array("error" => "unauthorised") ));


  }

